SSAM(1)

NAME
ssam - stream interface to sam

SYNOPSIS
ssam [ -n ] [ -e script ] [ -f sfile ] [ file ... ]

DESCRIPTION
Ssam copies the named files (standard input default) to the standard output, edited by a script of sam commands (q.v.). When the script starts, the entire input is selected. The -f option causes the script to be taken from file sfile. If there is a -e option and no -f, the flag -e may be omitted. The -n option suppresses the default output.

EXAMPLES

ssam -n ,10p file
    Print first 10 lines of file.

ssam 'y/[a-zA-Z]+/ c/\n/' *.ms
    Print one word per line.

ssam 's/\n\n+/\n/g'
    Delete empty lines from standard input.

ssam 's/UNIX/& system/g'
    Replace every instance of by

ssam 'y/[a-zA-Z]+/ c/\n/' | grep . | sort | uniq -c
    Count frequency of words read from standard input.

SOURCE
/bin/ssam

SEE ALSO
sed(1), sam((1)), regexp((7))

Rob Pike, ``The text editor sam''.

BUGS
Ssam consumes all of standard input before running the script.